Subject: Re: bug#39374: Failing channels and graph on 1.0.1.10297-c5bbcb

From: zimoun <[email-masked]>
Date: Tue, 18 Oct 2022 18:07:31 +0200

Hi,

It is an old bug report #39374 [1].

1: <http://issues.guix.gnu.org/issue/39374>

On Wed, 05 Feb 2020 at 14:49, Ludovic Courtès <[email-masked]> wrote:

> I wonder if this could be caused by settings in ~/.gitconfig.  Could you
> try to move it out of the way and run the test?  With:
>
>   rm ~/.gitconfig{,.bak}
>   make check TESTS=tests/channels.scm

Because of this, the bug is marked as ’moreinfo’ since 2 years, 2 days,
8 hours ago.

> The second failure is:
>
> test-name: reverse bag DAG
> location: /home/ep/src/guix/tests/graph.scm:194
> source:
> + (test-assert
> +   "reverse bag DAG"
> +   (let-values
> +     (((dune bap ocaml-base)
> +       (values
> +         (specification->package "dune")
> +         (specification->package "bap")
> +         (specification->package "ocaml-base")))
>
> [...]
>
> actual-error:
> + (quit 1)
> result: FAIL
>
> It’s due to recent changes in the OCaml packages.  I’ll push a fix
> shortly.

Well, I assume this fix had been pushed since then.

Therefore, I am in favor to close this report.  Any objection?

Cheers,
simon